#!/usr/bin/env python
#
# Time-stamp: <99/11/05 13:09:13 hellmann>
#
"""

Permission to use, copy, modify, and distribute this software and
its documentation for any purpose and without fee is hereby
granted, provided that the above copyright notice appear in all
copies and that both that copyright notice and this permission
notice appear in supporting documentation, and that the name of Doug
Hellmann not be used in advertising or publicity pertaining to
distribution of the software without specific, written prior
permission.

DOUG HELLMANN DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN
NO EVENT SHALL DOUG HELLMANN BE LIABLE FOR ANY SPECIAL, INDIRECT OR
CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.


DESCRIPTION:

    A special kind of Folder which presents different views to
    different users.

CHANGE HISTORY:

$Log: __init__.py,v $
Revision 1.6  1999/11/05 18:12:57  hellmann
Changed default to not include the animated gif.  This will probably
be annoying to some people.

Revision 1.5  1999/11/05 18:00:33  hellmann
Changed Skin icon to an animated gif which changes color once every 2 minutes.

Revision 1.4  1999/11/05 17:26:47  hellmann
Updated documentation related to version 0.1.1.

Revision 1.3  1999/11/05 13:45:03  hellmann
Added new demonstration (ChameleonDemonstration.zexp).
Fixed some problems with acquisition.
New icon.

Revision 1.2  1999/11/04 17:00:28  hellmann
Added helpful text to the DTML files for adding/editing products.
Added new icon files.

Revision 1.1  1999/11/03 19:21:10  hellmann
Initial working version.

"""

#
#  Creation Information
#
__rcs_module_name__ = '$RCSfile: __init__.py,v $'
__creator__         = 'Doug Hellmann <doughellmann@home.com>'
__project__         = 'Open Source'
__created__         = 'Tue, 02-Nov-1999 16:31:44 EST'

#
#  Current Information
#
__author__          = '$Author: hellmann $'
__version__         = '$Revision: 1.6 $'
__date__            = '$Date: 1999/11/05 18:12:57 $'
__locker__          = '$Locker:  $'

#
# Import system modules
#

#
# Import Zope modules
#
from ImageFile import ImageFile

#
# Import Local modules
#
import Chameleon
import Skin

#
# Module
#
methods = {
    'manage_addChameleonForm':Chameleon.manage_addChameleonForm,
    'manage_addChameleon':Chameleon.manage_addChameleon,
    'manage_addChameleonSkinForm':Skin.manage_addChameleonSkinForm,
    'manage_addChameleonSkin':Skin.manage_addChameleonSkin,
    }

meta_types = (
    { 'name'   : 'Chameleon',
      'action' : 'manage_addChameleonForm',
      },
    { 'name'   : 'ChameleonSkin',
      'action' : 'manage_addChameleonSkinForm',
      },
    )
    

misc_ = {
    'chameleon' : ImageFile('chameleon-folder.gif', globals()),
    'chameleonskin' : ImageFile('chameleon-icon-green.gif', globals()),
    }

__ac_permissions__ = (
    ('Add Chameleon', ('manage_addChameleonForm', 'manage_addChameleon')),
    )
